org.apache.jmeter.functions

## Class XPathFileContainer

- java.lang.Object
- - org.apache.jmeter.functions.XPathFileContainer

-     public class XPathFileContainer
      extends java.lang.Object

  File data container for XML files Data is accessible via XPath

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XPathFileContainer(java.lang.String file, java.lang.String xpath)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFileName()`
    `java.lang.String` | `getXPathString(int num)`
    `int` | `nextRow()` Returns the next row to the caller, and updates it, allowing for wrap round
    `int` | `size()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XPathFileContainer

          public XPathFileContainer(java.lang.String file,
                                    java.lang.String xpath)
                             throws java.io.FileNotFoundException,
                                    java.io.IOException,
                                    javax.xml.parsers.ParserConfigurationException,
                                    org.xml.sax.SAXException,
                                    javax.xml.transform.TransformerException

      Throws:
        `java.io.FileNotFoundException`
        `java.io.IOException`
        `javax.xml.parsers.ParserConfigurationException`
        `org.xml.sax.SAXException`
        `javax.xml.transform.TransformerException`

  - ### Method Detail

    - #### getXPathString

          public java.lang.String getXPathString(int num)

    - #### nextRow

          public int nextRow()

      Returns the next row to the caller, and updates it, allowing for wrap round
      Returns:
        the first free (unread) row

    - #### size

          public int size()

    - #### getFileName

          public java.lang.String getFileName()

      Returns:
        the file name for this class

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.